Get Domain List
This endpoint fetches Domain List(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/domainlist/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | Domain List ID, if sent, request will fetch Domain List with exact ID, otherwise it fill fetch all Domain Lists. | optional |
| ActiveOnly | int | Request will fetch only active Domain Lists if set to 1, otherwise it fill fetch all Domain Lists. | optional |
To get Domain List, send query parameter like this: Id=1
Or if you want to get all Domain Lists, don’t include Id parameter, or set it as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "Name": "Domain List 1", "VastTags": [ 9, 10 ], "RtbEps": [ 1, 2 ], "DspRtbEps": [ 3, 4 ], "Campaigns": [ 5, 6 ], "DspPopFeeds": [ 7, 8 ], "DomainCount": 16063, "Global": 0, "Status": 0, "StatusString": "Active", "ListText": "domain1.com\ndomain2.com\ndomain3.com"}[ { "Id": 1, "TeamId": 1, "Name": "Domain List 1", "VastTags": [ 9, 10 ], "RtbEps": [ 1, 2 ], "DspRtbEps": [ 3, 4 ], "Campaigns": [ 5, 6 ], "DspPopFeeds": [ 7, 8 ], "DomainCount": 16063, "Global": 0, "Status": 0, "StatusString": "Active" }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |